aboutsummaryrefslogtreecommitdiffstats
path: root/community/vino/vino.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/vino/vino.initd')
-rw-r--r--community/vino/vino.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/community/vino/vino.initd b/community/vino/vino.initd
new file mode 100644
index 00000000000..bfff0868ebb
--- /dev/null
+++ b/community/vino/vino.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+
+command=/usr/libexec/vino-server
+
+depend() {
+ need net
+ after firewall
+}
+
+start () {
+ ebegin "Starting vino-server"
+ export DISPLAY=:0.0
+ start-stop-daemon \
+ --background \
+ --start \
+ --exec $command
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping vino-server"
+ start-stop-daemon \
+ --stop \
+ --exec $command
+ eend $?
+}